//[PROJEKT] Stacja pogodowa - KAMduino UNO, moduł z czujnikiem BME280 oraz wyświetlacz 2x16 znaków
// Autor: Patryk Mądry
// Mikrokontroler.pl 2018 r. 


#include <DFRobot_BME280.h>
#include <Wire.h>
#include "DFRobot_RGBLCD.h"

int r,g,b;
float temp, pa, hum, alt;
int t=0;

#define SEA_LEVEL_PRESSURE  1009.7f
#define BME_CS 10

DFRobot_BME280 bme; 
DFRobot_RGBLCD lcd(16,2);



void setup() {


  Serial.begin(115200);
   if (!bme.begin(0x77)) {
        Serial.println("No sensor device found, check line or address!");
        while (1);
    }

     lcd.init();

}

void loop() {

  //Odczyt danych z czujnika 
  temp = bme.temperatureValue();
  pa = bme.pressureValue();
  hum = bme.humidityValue();
  alt = bme.altitudeValue(SEA_LEVEL_PRESSURE);

  //Wypisane danych do konsoli 
  Serial.print("Temperatura: ");
  Serial.print(temp);
  Serial.println(" C");
  
  Serial.print("Cisnienie: ");
  Serial.print(pa/1000);
  Serial.println(" hPa");
  
  Serial.print("Wilgotnosc: ");
  Serial.print(hum);
  Serial.println(" %");
  
  Serial.print("Wysokosc n.p.m: ");
  Serial.print(alt);
  Serial.println(" m");
  Serial.println("");

  // Wyswielacz 

  lcd.setRGB(0, 0, 200);  
  lcd.setCursor(0,0);
  lcd.print("Temp: ");
  lcd.print(temp);
  lcd.print(" C");

  lcd.setCursor(0,1);
  lcd.print("P: ");
  lcd.print(pa/100);
  lcd.print(" hPa");
  
  delay(7000);

  lcd.setRGB(0, 200, 0);  
  lcd.setCursor(0,0);
  lcd.print("Hum: ");
  lcd.print(hum);
  lcd.print("  %");

  lcd.setCursor(0,1);
  lcd.print("Alt: ");
  lcd.print(alt);
  lcd.print(" m");
   
   delay(7000);

}
